<h4 class="center-align">Hostel Block Management</h4>
<div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content white-text">
        <div class="row">
          <div class="col s5">
            <form #roomForm="ngForm" (ngSubmit)="onSubmit(roomForm)">
              <input type="hidden" name="_id" #_id="ngModel" [(ngModel)]="blockService.selectedBlock._id">
                <div class="row">
                  <div class="input-field col s12">
                  <input type="text" name="name"
                  #roomno="ngModel" [(ngModel)]="blockService.selectedBlock.name" required>
                  <label> Block Name:</label>
                </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                  <input type="text" name="college"
                  #roomno="ngModel" [(ngModel)]="blockService.selectedBlock.college" required>
                  <label> College Name:</label>
                </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                    <button class="btn btn-custom right" type="button" (click)="resetForm(roomForm)">Reset</button>
                    <button class="btn btn-custom right" type="submit" [disabled]="!roomForm.valid">Create</button>
                  </div>
                </div>
            </form>
          </div>
          <div class="col s7">
              <table class="responsive-table highlight black-text">
                <thead>
                  <tr>
                    <th>Block Name</th>
                    <th>College Name</th>
                    <th></th>
                  </tr>
                </thead>
                <tr *ngFor="let blok of blockService.blocks">
                  <td>{{blok.name}}</td>
                  <td>{{blok.college}}</td>
                  <td>
                    <a class="btn-floating" (click)="onEdit(blok)">
                      <i class="material-icons">edit</i>
                    </a>
                    <a class="btn-floating" (click)="onDelete(blok._id, roomForm)">
                      <i class="material-icons">delete</i>
                    </a>
                  </td>
                </tr>
              </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

